//
//  QGInputValue.h
//  Immutation
//
//  Created by Matthew McCowan on 7/21/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"


@interface QGInputValue : QGObject
{
	NSString *inputKey;
	unsigned  index;
}

// Initialization
- (id) initWithInputKey:(NSString *)initInputKey andValue:(id)initValue;


// Setters and Getters
- (id) value;
- (id) valueUsingBounds:(CGRect)bounds;
- (NSString *) inputKey;
- (unsigned) index;
- (void) setIndex:(unsigned)newIndex;

// Actions
- (void) applyValueToFilter:(CIFilter *)filter usingBounds:(CGRect)bounds;

@end
